Bug 50779 - [RFE] anaconda should remove stale EFI Boot Manager entries
Summary: [RFE] anaconda should remove stale EFI Boot Manager entries
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 01:25 UTC by Matt Domsch
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 19:48:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2001-08-03 01:25:06 UTC
Description of Problem:
On installs and upgrades, anaconda should remove all stale EFI Boot 
Manager entries that it may have created on previous installs to the same 
system.  Something like:

  for b in `efibootmgr | grep "Red Hat Linux" | awk '{print $1}'`; do 
	efibootmgr -b $b -B
  done

Otherwise, you wind up with multiple entries "Red Hat Linux" in the boot 
manager after installing multiple times.

Comment 1 Jeremy Katz 2001-08-03 02:08:58 UTC
Heh, I wondered how long it would take before someone filed something about this :)

Comment 2 Jeremy Katz 2001-08-13 23:49:51 UTC
fixed in cvs


Note You need to log in before you can comment on or make changes to this bug.